import request from '@/utils/request';
import type { FulfillerSearchQuery, FulfillerGpsVO } from './types';
import { AxiosPromise } from 'axios';

/**
 * 模糊检索履约者（通过姓名和手机号）
 * @param query 查询参数
 */
export function listByNameAndPhoneNumber(query: FulfillerSearchQuery) {
    return request({
        url: '/fulfiller/fulfiller/listByNameAndPhoneNumber',
        method: 'get',
        params: query
    });
}

/**
 * 获取履约者实时 GPS 坐标
 * @param id 履约者 ID
 */
export function getFulfillerGps(id: number | string): AxiosPromise<FulfillerGpsVO> {
    return request({
        url: `/fulfiller/fulfiller/gps/${id}`,
        method: 'get'
    });
}

/**
 * 获取详细履约者信息
 * @param id 履约者 ID
 */
export function getFulfiller(id: number | string) {
    return request({
        url: `/fulfiller/fulfiller/${id}`,
        method: 'get'
    });
}
